> For the complete documentation index, see [llms.txt](https://api-docs.disasteraware.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.disasteraware.com/products-1/requesting-a-product.md).

# Requesting a Product

## Get a product details

<mark style="color:blue;">`GET`</mark> `https://api.disasteraware.com/products/{product-id}`

#### Path Parameters

| Name       | Type   | Description      |
| ---------- | ------ | ---------------- |
| product-id | string | id of a product. |

#### Headers

| Name          | Type   | Description                  |
| ------------- | ------ | ---------------------------- |
| Authorization | string | Authorize to access the API. |

{% tabs %}
{% tab title="200 Cake successfully retrieved." %}

```
[
    {
        "app_IDs": null,
        "comment_Text": "",
        "data": null,
        "filename": null,
        "hazard_ID": 134583,
        "is_Hidden": "N",
        "org_ID": 0,
        "org_IDs": "",
        "organization_acronym": null,
        "parent_ID": 0,
        "product_ID": 1153909,
        "product_Type": "FOLDER_PRODUCT",
        "security_Flag": "A",
        "title": "Situational Awareness (SA)",
        "uuid": "4dabbee9-ec29-4da1-b1e4-2a6864672c63",
        "user_ID": "DisasterAWARE (Automated)",
        "product_url": null,
        "suffix": "folder",
        "create_Date": "1619972855960",
        "update_Date": "1619972861478",
        "timeline_Date": "1619972861478",
        "update_User": "ddp",
        "geo_Locations": ""
    }
]
```

{% endtab %}

{% tab title="403 " %}

```
Invalid Token
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
See [Authorizing Requests](/authentication/authorizing-requests.md#get-accesstoken-and-refreshtoken) page to get your accessToken.

Below is an example request with path parameters *product-id=1153909*
{% endhint %}

{% tabs %}
{% tab title="cURL" %}

```
curl --location --request GET \
  'https://api.disasteraware.com/products/1153909' \
  --header 'Authorization: Bearer your_accessToken'
```

{% endtab %}

{% tab title="Java" %}

```
import java.io.IOException;
import java.io.InputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.Scanner;

class Main {

	public static void main(String[] args) throws IOException {
		URL url = new URL("https://api.disasteraware.com/products/1153909");
		HttpURLConnection httpConn = (HttpURLConnection) url.openConnection();
		httpConn.setRequestMethod("GET");

		httpConn.setRequestProperty("Authorization", "Bearer your_accessToken");

		InputStream responseStream = httpConn.getResponseCode() / 100 == 2
				? httpConn.getInputStream()
				: httpConn.getErrorStream();
		Scanner s = new Scanner(responseStream).useDelimiter("\\A");
		String response = s.hasNext() ? s.next() : "";
		System.out.println(response);
	}
}

```

{% endtab %}

{% tab title="Node.js" %}

```
var fetch = require('node-fetch');

fetch('https://api.disasteraware.com/products/1153909', {
    headers: {
        'Authorization': 'Bearer your_accessToken'
    }
});

```

{% endtab %}

{% tab title="PHP" %}

```
<?php
include('vendor/rmccue/requests/library/Requests.php');
Requests::register_autoloader();
$headers = array(
    'Authorization' => 'Bearer your_accessToken'
);
$response = Requests::get('https://api.disasteraware.com/products/1153909', $headers);

```

{% endtab %}

{% tab title="Python" %}

```
import requests

headers = {
    'Authorization': 'Bearer your_accessToken',
}

response = requests.get('https://api.disasteraware.com/products/1153909', headers=headers)

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.disasteraware.com/products-1/requesting-a-product.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
